setwd(dirname(rstudioapi::getActiveDocumentContext()$path))

data_master <- read.csv("data/weekly_counts.csv", header=TRUE)
output_folder='output_spearman/'


call_types_corr_array <- c('CA_under40',
                         'CA_ACS_under40')


var_corr_array <- c('both_dose_2weeks',
                         'cases',
                         'cases_2weeks','cases_3weeks',
                         'cases_4weeks',
                         'cases_5weeks',
                         'cases_6weeks')


for (q in seq_along(call_types_corr_array)){
  
  call_type_nm=call_types_corr_array[q]
  if (call_type_nm =='CA_under40') {
    data_corr<-data.frame(data_master)
    data_corr<-data_corr[!(data_corr$fourty_and_above==1),]
    data_corr<-data_corr[(data_corr$call_type_cat=='CA'),]
    
  } else if (call_type_nm =='CA_ACS_under40') {
    data_corr<-data.frame(data_master)
    data_corr<-data_corr[!(data_corr$fourty_and_above==1),]
    data_corr_CA<-data_corr[!(data_corr$call_type_cat=='ACS'),]
    data_corr<-data_corr[(data_corr$call_type_cat=='ACS'),]
    data_corr$count_calls<-(data_corr_CA$count_calls+data_corr$count_calls)
  }
    
  ##correlation
  summary_df <- data.frame()
  for (i in seq_along(var_corr_array))
  {
    spearman_corr_values<-cor.test(data_corr$count_calls,
                             data_corr[,var_corr_array[i]], method=c("spearman"),exact=FALSE)
    
    summary_df[i,1] <- var_corr_array[i]
    summary_df[i,2]<-spearman_corr_values$estimate
    summary_df[i,3]<-spearman_corr_values$p.value

    colnames(summary_df) <- c('Variable','Spearmans Corr','Spearman P_value')

  }
  write.csv(summary_df, paste(output_folder,call_type_nm,'_correlations.csv',sep = ""))
}
