import numpy as np
import os
import pandas as pd

from poisson_test_functions import test_poisson_2indep

OUTPUT_FOLDER='\\output_tables' 
DATA_SOURCE='\\data'

"""ACS Table"""
table_acs_counts=pd.read_csv(os.getcwd() + DATA_SOURCE +"/table_acs_counts.csv").drop(['Unnamed: 0'],axis=1)

table_acs_counts['counts_compare']=table_acs_counts['counts'].shift(1)
#put a temporary placeholder value for 2019, which is the baseline for comparison - formatted later in code below
table_acs_counts.loc[table_acs_counts['labels'].str.contains('2019')==True, 'counts_compare'] = 1

table_acs_counts['relative_difference']=((table_acs_counts['counts']-table_acs_counts['counts_compare'])/table_acs_counts['counts_compare'])*100
table_acs_counts['p_value']=table_acs_counts.apply(lambda row: test_poisson_2indep(row['counts'], 1,  row['counts_compare'], 1,
                                                       method='etest').pvalue ,axis=1)

"""format 2019 results (no comparison group)"""
table_acs_counts.loc[table_acs_counts['labels'].str.contains('2019')==True, 'counts_compare'] = np.nan
table_acs_counts.loc[table_acs_counts['labels'].str.contains('2019')==True, 'relative_difference'] = np.nan
table_acs_counts.loc[table_acs_counts['labels'].str.contains('2019')==True, 'p_value'] = np.nan

table_acs_counts.to_csv(os.getcwd() + OUTPUT_FOLDER + "\\table_acs_counts_p_values.csv",encoding='utf-8-sig')   




"""CA Table"""
table_ca_counts=pd.read_csv(os.getcwd() + DATA_SOURCE +"/table_ca_counts.csv").drop(['Unnamed: 0'],axis=1)

table_ca_counts['counts_compare']=table_ca_counts['counts'].shift(1)
#put a temporary placeholder value for 2019, which is the baseline for comparison - formatted later in code below
table_ca_counts.loc[table_ca_counts['labels'].str.contains('2019')==True, 'counts_compare'] = 1

table_ca_counts['relative_difference']=((table_ca_counts['counts']-table_ca_counts['counts_compare'])/table_ca_counts['counts_compare'])*100
table_ca_counts['p_value']=table_ca_counts.apply(lambda row: test_poisson_2indep(row['counts'], 1,  row['counts_compare'], 1,
                                                     method='etest').pvalue ,axis=1)

"""format 2019 results (no comparison group)"""
table_ca_counts.loc[table_ca_counts['labels'].str.contains('2019')==True, 'counts_compare'] = np.nan
table_ca_counts.loc[table_ca_counts['labels'].str.contains('2019')==True, 'relative_difference'] = np.nan
table_ca_counts.loc[table_ca_counts['labels'].str.contains('2019')==True, 'p_value'] = np.nan

table_ca_counts.to_csv(os.getcwd() + OUTPUT_FOLDER + "\\table_ca_counts_p_values.csv",encoding='utf-8-sig')   









